Bug 125407 - top doesn't restore terminal in case /proc is not mounted
top doesn't restore terminal in case /proc is not mounted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brian Brock
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-06-06 09:42 EDT by Florian La Roche
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 09:55:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
do stat("/proc/self"...) before startup (826 bytes, patch)
2004-09-14 08:23 EDT, Karel Zak
no flags Details | Diff
check if /proc exists (1006 bytes, patch)
2004-09-14 08:44 EDT, Karel Zak
no flags Details | Diff

  None (edit)
Description Florian La Roche 2004-06-06 09:42:27 EDT
Description of problem:

Run top without /proc being mounted and you will have to
type "reset" before seeing your terminal input again.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2004-06-09 14:31:37 EDT
Two questions Which version?

How do you get /proc unmounted?
umount /proc/
umount: /proc: device is busy
umount: /proc: device is bus
Comment 2 Florian La Roche 2004-06-11 03:48:39 EDT
chroot environment, so umounting /proc is not a problem.
Version is FC3 devel as of the report day.
Comment 3 Karel Zak 2004-09-14 08:23:53 EDT
Created attachment 103823 [details]
do stat("/proc/self"...) before startup
Comment 4 Karel Zak 2004-09-14 08:41:33 EDT
Ooops, stupid bug in stupid patch.. if you want use following patch
rather than previous 103823.
Comment 5 Karel Zak 2004-09-14 08:44:40 EDT
Created attachment 103824 [details]
check if /proc exists
Comment 6 Rik van Riel 2004-09-27 17:46:40 EDT
Albert, this may be an interesting bug for you, in case it's not fixed
in your tree yet...
Comment 7 Daniel Walsh 2004-09-28 13:42:55 EDT
Fixed in procps-3.2.3-5

Note You need to log in before you can comment on or make changes to this bug.